# LibreCloud library

<img style="margin-top: 1em;width: 500px;border: 0" alt="Fork me on GitHub" src="logo/library.svg?sanitize=true">

## List of Libraries for Applications Developments

### Structure

<pre>
.
├── bin
├── clds
├── datastores
├── defs
├── graphql
├── key_of_life
├── macros
├── tkdr
├── utils
├── webenv
├── wrapfilters
└── wraphandlers
</pre>


### How to install

> Clonning or downloading this repository will not include code, each item has his own individual repository

Keep all libraries in one place and run use [on_lib.sh script](/LibreCloud/Lib/src/branch/master/on_libs.sh), review script and comment unnecesary items or any other change.

For **create** via <u>git clone</u> command, use:

```bash
export REPO_URL=https://rlung.librecloud.online
# create a directory or go to directory where libs are going to be created (cloned) 
mkdir lib  
[path-to-libs.sh]/on_libs.sh clone 
```

For **update or sync** via <u>git pull</u> command, use:

```bash
export REPO_URL=https://rlung.librecloud.online
# Go to directory where libs exists
cd lib  
[path-to-libs.sh]/on_libs.sh pull
```

### bin

Tools and utils: Scripts and tools to maintain this library

[Bin library](/LibreCloud/lib_bin)

### clds

Clouds definitions
[CLDS Library](/LibreCloud/lib_clds)

### defs

Definitions Library collection of basic applications needs

[Defs Library](/LibreCloud/lib_defs)

### datastores

Datastores Library for data stores connections 

[Data Stores Library](/LibreCloud/lib_datastores)

### graphql

Library for GraphQL

[GraphQL Library](/LibreCloud/lib_graphql)

### kye_of_life

Getting master key

[Key of Life Library](/LibreCloud/lib_key_of_life)

### macros

Rust Macros Libraries for applications

[Macros Library](/LibreCloud/lib_macros)

### utils

Utilities and tools library

[Utils Library](/LibreCloud/lib_utils)

### tkdr

Encrypt/Decrypt and templating

[Tkdr Library](/LibreCloud/lib_tkdr)

### webenv

To init and load application

[Webenv library](/LibreCloud/lib_webenv)

### wrapfilters

Rust Libraries Collections for wrap webservices [warp](https://github.com/seanmonstar/warp) filters and routes configuration

[Wrap Webservices Filters Library](/LibreCloud/lib_wrapfilters)

### wraphandlers

Wrap Handlers for filters with [warp](https://github.com/seanmonstar/warp)

[Wrap Webservices Handlers Library](/LibreCloud/lib_wraphandlers)



